# variables
export EDITOR=vim
# Start X at login
if status --is-login
  if test -z "$DISPLAY" -a $XDG_VTNR = 1
    exec startx
  end
end

fundle plugin 'edc/bass'
fundle init
# run `fundle install` in the terminal

# bass to run utilities written in for bash in fish
if test -e /opt/ros/noetic/setup.bash
	bass source /opt/ros/noetic/setup.bash
end
if test -e /home/rothe/catkin_ws/install/setup.bash
	bass source /home/rothe/catkin_ws/install/setup.bash
end

if test -e /home/rothe/catkin_ws/install/setup.bash
	bass source ~/.profile
end

set -Ua fish_user_paths ~/go/bin/

eval (keychain --eval --agents ssh)
